<?php
	
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."scripts/functions.php");

    $selectedYear = $_GET['year'];
    $basin = $_GET['basin'];

    $url = "https://www.nhc.noaa.gov/data/tcr/index.php?season=".$selectedYear."&basin=".$basin;

    $rawData = loadContent($url,8);

    $html = cleanHTML($rawData);

    // match names and PDF and KMZ if available
    preg_match_all('/<li class="hdr">(.*?)&ndash;.*?data\/tcr\/(.*?)">PDF.*?best_track\/(.*?)">KMZ/',$html,$matches);

    for($i=0;$i<count($matches[1]);$i++){
        $name = trim($matches[1][$i]);
        for($a=1;$a<20;$a++){
            $name = str_replace("<sup>".$a."</sup>","",$name);
        }
        $pdf = trim($matches[2][$i]);
        $kmz = trim($matches[3][$i]);
        if($kmz!=""){
            $data[] = array($name,$pdf,$kmz);
        }
    }
    if(count($data)==0){
        // match names and PDF
        preg_match_all('/<li class="hdr">(.*?)&ndash;.*?data\/tcr\/(.*?)">PDF.*?<\/a>\s?<\/li>/',$html,$matches);

        for($i=0;$i<count($matches[1]);$i++){
            $name = trim($matches[1][$i]);
            for($a=1;$a<20;$a++){
                $name = str_replace("<sup>".$a."</sup>","",$name);
            }
            $pdf = trim($matches[2][$i]);
            $kmz = "";
            $data[] = array($name,$pdf,$kmz);
        }
    }

    

?>

<select id="hurricaneSelector" class="button2" onchange="addNew()">
    <option value="" selected>Select Hurricane</option>
    <?php 
        for($i=0;$i<count($data);$i++){
    ?>
            <option value="" data-pdf="<?php echo $data[$i][1]?>" data-kmz="<?php echo $data[$i][2]?>" data-name="<?php echo urlencode($data[$i][0])?>"><?php echo $data[$i][0]?></option>
    <?php
        }
    ?> 
</select>



